> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Login With Password



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/auth/login
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/auth/login:
    post:
      tags:
        - Auth
      summary: Login With Password
      operationId: api_auth_router_login_with_password
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PasswordLoginRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PasswordLoginResponse'
components:
  schemas:
    PasswordLoginRequest:
      properties:
        email:
          title: Email
          type: string
        password:
          title: Password
          type: string
        remember_me:
          default: true
          title: Remember Me
          type: boolean
      required:
        - email
        - password
      title: PasswordLoginRequest
      type: object
    PasswordLoginResponse:
      properties:
        access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Token
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
        token_type:
          default: Bearer
          title: Token Type
          type: string
        expires_in:
          default: 900
          title: Expires In
          type: integer
        twofa_required:
          default: false
          title: Twofa Required
          type: boolean
        challenge_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Challenge Token
      title: PasswordLoginResponse
      type: object

````